package edu.stanford.nlp.trees;

/**
 * Allows us to verify that a wordnet connection is available without compile
 * time errors if the package is not found.
 *
 * @author Chris Cox
 */
public interface WordNetConnection {
     public boolean wordNetContains(StringBuffer s);
}
