package edu.stanford.nlp.parser.lexparser;

import edu.stanford.nlp.ling.Sentence;

import java.io.Serializable;
import java.util.Collection;

/** An interface for segmenting strings into words (in unwordsegmented languages).
 *
 * @author Galen Andrew
 */
public interface WordSegmenter extends Serializable {
  void train(Collection trees);

  Sentence segmentWords(String s);
}
